Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp	(revision 986)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.cpp	(revision 1007)
@@ -222,16 +222,23 @@
 	simplifstep.y = (float)vdesp[qslim::Y];
 	simplifstep.z = (float)vdesp[qslim::Z];
-	simplifstep.mV1 = v0->validID(); // the simplification method returns as v0 the alive vertex
-	simplifstep.mV0 = v1->validID(); // the simplification method returns as v1 the dead vertex
-
-	// Number of triangles that are removed in this simplification step
-	int _numDelTris = 0; // 1 or 2 triangles can be removed
-
-	for (i=0; i<changed.length(); i++)
-	{
-		if (! changed(i)->isValid())
+	
+	//	Submeshes which pertains each vertex
+	simplifstep.mV1 = v0->validID(); 
+
+	//	The simplification method returns as v1 the dead vertex.
+	simplifstep.mV0 = v1->validID();
+
+	//	Number of triangles that are removed in this simplification step.
+	int _numDelTris = 0; // 1 or 2 triangles can be removed.
+
+	for (i = 0;	i < changed.length();	i++)
+	{
+		if (!changed(i)->isValid())
+		{
 			_numDelTris++;
-	}
-	int del_index=0;
+		}
+	}
+
+	int del_index	=	0;
 
 	// mModfaces y mT0, mT1 of simplifstep stores the triangles id's -> geomesh has not triangles id's
@@ -239,10 +246,11 @@
 	{
 		qslim::Face *auxface = changed(i);
-		if (auxface->isValid()) 
+
+		if (auxface->isValid())
 		{
 			// Modified triangles
 			simplifstep.mModfaces.push_back(auxface->validID());
 		}
-		else 
+		else
 		{
 			// Removed triangles
@@ -252,12 +260,12 @@
 				simplifstep.mT1=auxface->validID();
 			}
-			else 
-			{
-				if(del_index==0) 
+			else
+			{
+				if(del_index==0)
 				{
 					simplifstep.mT0=auxface->validID();
 					del_index++;
 				}
-				else 
+				else
 				{
 					simplifstep.mT1=auxface->validID();
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.h
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.h	(revision 981)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/libs/SimplificationMethod.h	(revision 1007)
@@ -22,43 +22,89 @@
 	int initialFaceCount;
 
-	inline qslim::vert_info& vertex_info(qslim::Vertex *v){	return vinfo(v->validID()); }
-	qslim::real pair_mesh_penalty(qslim::Model& M, qslim::Vertex *v1, qslim::Vertex *v2, qslim::Vec3& vnew);
-	int predict_face(qslim::Face& F, qslim::Vertex *v1, qslim::Vertex *v2, qslim::Vec3& vnew, qslim::Vec3& f1, qslim::Vec3& f2, qslim::Vec3& f3);
+	inline qslim::vert_info& vertex_info(qslim::Vertex *v)
+	{
+		return vinfo(v->validID());
+	}
+	
+	qslim::real pair_mesh_penalty(qslim::Model& M,
+																qslim::Vertex *v1,
+																qslim::Vertex *v2,
+																qslim::Vec3& vnew);
+	
+	int predict_face(qslim::Face& F,
+									qslim::Vertex *v1,
+									qslim::Vertex *v2,
+									qslim::Vec3& vnew,
+									qslim::Vec3& f1,
+									qslim::Vec3& f2,
+									qslim::Vec3& f3);
+	
 	bool check_for_pair(qslim::Vertex *v0, qslim::Vertex *v1);
+	
 	qslim::pair_info *new_pair(qslim::Vertex *v0, qslim::Vertex *v1);
+	
 	void delete_pair(qslim::pair_info *pair);
+	
 	void do_contract(qslim::Model& m, qslim::pair_info *pair);
+	
 	bool decimate_quadric(qslim::Vertex *v, qslim::Mat4& Q);
+	
 	void decimate_contract(qslim::Model& m);
+	
 	qslim::real decimate_error(qslim::Vertex *v);
+	
 	qslim::real decimate_min_error();
+	
 	qslim::real decimate_max_error(qslim::Model& m);
+	
 	void decimate_init(qslim::Model& m, qslim::real limit);
+	
 	bool pair_is_valid(qslim::Vertex *u, qslim::Vertex *v);
+	
 	void simplifmethod_run(int,	Geometry::TIPOFUNC	upb=0);
+	
 	void simplifmethod_runv(int,	Geometry::TIPOFUNC	upb=0);
+	
 	void simplifmethod_init(void);
 
-	//To map the mesh with de simplification method structure
-	std::map<int,std::vector<int> > submeshmap; //submeshes which pertains each vertex
-	std::map<int,std::vector<int> > vertexbuffermap; //vertices of the VertexBuffer that point at this vertex of the simplification method
+	//	To map the mesh with de simplification method structure.
+	//	Submeshes which pertains each vertex.
+	std::map<int,std::vector<int> > submeshmap;
+	
+	//	Vertices of the VertexBuffer that point 
+	//	at this vertex of the simplification method.
+	std::map<int,std::vector<int> > vertexbuffermap; 
 
-	//simplification sequence of the simplification method
+	//	Simplification sequence of the simplification method.
 	std::vector<Geometry::MeshSimplificationSequence::Step> decim_data;
+	
 	std::string meshName;
+	
 	void WriteOBJ(void);
+	
 	unsigned int *first_index_submesh;
+	
 	//std::vector<qslim::pair_info *> pointers_to_remove;
 
 	int indexMeshLeaves;
+	
 public:
+	
 	const Geometry::Mesh *objmesh;
-	int number_of_triangles; //total number of triangles of all the submeshes
+	
+	//	Total number of triangles of all the submeshes.
+	int number_of_triangles;
+	
 	SimplificationMethod(const Geometry::Mesh *m);
+	
 	void geomesh2simplifModel(void);
-	Geometry::MeshSimplificationSequence *Decimate(float lod, int simpliftype,Geometry::TIPOFUNC	upb=0);
+	
+	Geometry::MeshSimplificationSequence *Decimate(	float lod,
+																									int simpliftype,
+																									Geometry::TIPOFUNC	upb=0);
+	
 	void setMeshLeaves(int meshLeaves);
 
-	//	Gets mesh simplified.
+	///	Gets mesh simplified.
 	Geometry::Mesh	*	GetMesh();
 	
@@ -66,2 +112,3 @@
 	~SimplificationMethod();
 };
+
Index: GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp
===================================================================
--- GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp	(revision 985)
+++ GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoMeshSimplifier.cpp	(revision 1007)
@@ -139,5 +139,5 @@
 	VMI::bLoadCamerasFromFile = GL_FALSE;
 
-	VMI::cameraType = 1;
+	VMI::cameraType = 2;
 	VMI::radius = 1.3;
 	VMI::fov = 60.0;
@@ -169,5 +169,6 @@
 
 	//glutInit(&argc, argv);
-	glutInitDisplayMode(GLUT_DEPTH | GLUT_RGBA | GLUT_DOUBLE | GLUT_ALPHA); /* RGB and Alpha */
+	// RGB and Alpha.
+	glutInitDisplayMode(GLUT_DEPTH | GLUT_RGBA | GLUT_DOUBLE | GLUT_ALPHA); 
 	glutInitWindowSize(VMI::width, VMI::height);
 	glutInitWindowPosition(100, 100);
@@ -262,4 +263,6 @@
 	//	Load a geometry mesh for vmi mesh.
 	loadMesh();
+
+	GetMeshSimpSequence();
 }
 
@@ -287,4 +290,5 @@
 	loadMesh();
 
+	GetMeshSimpSequence();
 }
 
@@ -294,4 +298,51 @@
 //	return mGeoMesh;
 //}
+
+//---------------------------------------------------------------------------
+//	Gets the VMI mesh simplification sequence.
+//---------------------------------------------------------------------------
+void	ViewPointDrivenSimplifier::GetMeshSimpSequence()
+{
+	unsigned	int j = 0;
+	
+	MeshSimplificationSequence::Step	current_step;
+	
+	msimpsequence	=	new MeshSimplificationSequence();
+	
+	//	Debug.
+	cout	<<	"GetMeshsimpSequence VMI"
+				<<	endl;
+
+	//	For each simplification step.
+	for (unsigned	int i = 0;	i < VMI::mVMISteps.size();	i++)
+	{
+		current_step.mV0	=	VMI::mVMISteps[i].mV0;
+		current_step.mV1	=	VMI::mVMISteps[i].mV1;
+		current_step.mT0	=	VMI::mVMISteps[i].mT0;
+		current_step.mT1	=	VMI::mVMISteps[i].mT1;
+		
+		current_step.x	=	VMI::mVMISteps[i].x;
+		current_step.y	=	VMI::mVMISteps[i].y;
+		current_step.z	=	VMI::mVMISteps[i].z;
+
+		current_step.obligatorio	=	VMI::mVMISteps[i].obligatory;
+
+		//	For each face modificated.
+		while (j < VMI::mVMISteps[i].mModfaces.size())
+		{
+			current_step.mModfaces.push_back(VMI::mVMISteps[i].mModfaces[j]);
+			
+			j++;
+		}
+		
+		//	Debug.
+		cout	<<	"Step "
+					<<	i
+					<<	" added."
+					<<	endl;
+		
+		msimpsequence->mSteps.push_back(current_step);
+	}
+}
 
 //---------------------------------------------------------------------------
